@import "../../../styles.scss";
.damage {
    width: 100%;
    height: 100%;

    .box-100 {
        padding: 0px 10px 0px 10px;
        width: 100%;
    }
    .box-50 {
        padding: 0px 10px 0px 10px;
        width: 50%;
    }

    .time-box {
        border: 1px solid gray;
        width: 170px;
        border-radius: 4px;
        height: 30px;
        padding: 0px 5px 0px;
    }
    .time-box-disable {
        border: 1px solid rgb(233, 233, 233);
    }
    .btn-save {
        border-radius: 4px;
        color: white;
        background-color: $btnColor;
    }

    /////input/////

    input::placeholder {
        font-size: 12px;
    }
    input:disabled {
        color: rgb(0, 0, 0);
    }
    input {
        font-size: 12px;
        padding: 0px 5px 0px;
        margin-top: 3px;
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px;
        padding-bottom: 4px;
    }

    ::ng-deep .mat-mdc-form-field-infix {
        width: 50px !important;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight;
        padding: 0px;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight;
    }

    ///select///

    mat-select {
        padding: 0px 5px 0px 5px;
    }

    ::ng-deep .mat-mdc-select-value {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        font-size: 12px;
        color: black;
    }
    ::ng-deep .mat-mdc-option.mdc-list-item {
        font-size: 12px !important;
    }

    ::ng-deep .mat-mdc-form-field-subscript-wrapper {
        height: 0px;
    }

    ////text ae

    textarea {
        font-size: 12px;
        padding: 5px;
    }

    /// ///
}
